Doomsday Engine - Feature #2316

Scriptable custom state action functions
2019-01-20 11:04 - skyjake

Status: Closed Start date: 2019-01-20
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Enhancement

Target version: 2.2 (2019)

Description

States could use Doomsday Script to implement actions for powerful customizability.

Related issues:
Related to Feature #2349: [Heretic] Various improvements and modding features Closed 2019-10-27

Associated revisions

Revision 447ad661 - 2019-01-20 11:05 - skyjake

State actions using Doomsday Script

IssuelD #2316

Revision 315d7a18 - 2019-01-27 17:34 - skyjake

Heretic|Scripting: Spawning homing missiles

IssuelD #2316

Revision bcOb0e80 - 2019-02-07 18:06 - skyjake

Heretic: Whirlwind state when spawning missiles

The special counters were missing when spawning MT_WHIRLWIND via custom methods.

IssuelD #2316

History

#1 - 2019-10-27 20:12 - skyjake

- Related to Feature #2349: [Heretic] Various improvements and modding features added

#2 - 2019-12-17 11:17 - skyjake

- Status changed from Resolved to Closed
